/*
// Created by Tiny on 3/25/2021.
*/
#include <SDL2/SDL.h>
#include "move.h"
#include "personnage.h"
#include "collision.h"
#include "prof.h"
#include "DS.h"
#include "GAME.h"
#include "map.h"



int move_hero(Personnage * hero,SDL_Rect * hero_rect, Prof * teacher, DS * exam, MAP * map_game)
{
    //collision variable
    int collision;
    // determine position following inputs
    if (hero->direction_personnage.up && !hero->direction_personnage.down && !hero->direction_personnage.right && !hero->direction_personnage.left) hero->y_pers -=
    SPEED;
    if (!hero->direction_personnage.up && hero->direction_personnage.down && !hero->direction_personnage.right && !hero->direction_personnage.left) hero->y_pers +=
    SPEED;
    if (!hero->direction_personnage.up && !hero->direction_personnage.down && !hero->direction_personnage.right && hero->direction_personnage.left) hero->x_pers -=
    SPEED;
    if (!hero->direction_personnage.up && !hero->direction_personnage.down && hero->direction_personnage.right && !hero->direction_personnage.left) hero->x_pers +=
    SPEED;

    //recalculate 4 points of hero
    calcul_points_pers(hero);

    // collision detection
    collision = test_position(hero, teacher, exam,
                              map_game); // return 0 if nothing, 1 if wall, 2 if exam, 3 if prof, 4 if bounds

    return collision;
}